// <copyright file="IConfiguration.cs" company="APIMatic">
// Copyright (c) APIMatic. All rights reserved.
// </copyright>
namespace ShippingAPI.Standard
{
    using System;
    using System.Net;
    using ShippingAPI.Standard.Authentication;

    /// <summary>
    /// IConfiguration.
    /// </summary>
    public interface IConfiguration
    {
        string ContentType { get; }

        /// <summary>
        /// Gets Current API environment.
        /// </summary>
        Environment Environment { get; }

        /// <summary>
        /// Gets Replace yourinstance.transtream.com with the URL of your instance. You will also need to change the API Key for the call be successful
        /// </summary>
        string InstanceURL { get; }

        /// <summary>
        /// Gets the credentials to use with CustomQueryAuthentication.
        /// </summary>
        ICustomQueryAuthenticationCredentials CustomQueryAuthenticationCredentials { get; }

        /// <summary>
        /// Gets the URL for a particular alias in the current environment and appends it with template parameters.
        /// </summary>
        /// <param name="alias">Default value:YOUR INSTANCE.</param>
        /// <returns>Returns the baseurl.</returns>
        string GetBaseUri(Server alias = Server.YourInstance);
    }
}