# Common

```csharp
CommonController commonController = client.CommonController;
```

## Class Name

`CommonController`

## Methods

* [Rate Request](/doc/controllers/common.md#rate-request)
* [Rate Shop](/doc/controllers/common.md#rate-shop)
* [Ship Request](/doc/controllers/common.md#ship-request)
* [Void Shipment](/doc/controllers/common.md#void-shipment)
* [Return Request](/doc/controllers/common.md#return-request)
* [Reprint Document](/doc/controllers/common.md#reprint-document)
* [Reprint Label](/doc/controllers/common.md#reprint-label)
* [End of Day Action](/doc/controllers/common.md#end-of-day-action)
* [End of Day Progress](/doc/controllers/common.md#end-of-day-progress)
* [End of Day Document](/doc/controllers/common.md#end-of-day-document)
* [Track Request](/doc/controllers/common.md#track-request)


# Rate Request

```csharp
RateRequestAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.RateRequestAsync(request);
}
catch (ApiException e){};
```


# Rate Shop

```csharp
RateShopAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.RateShopAsync(request);
}
catch (ApiException e){};
```


# Ship Request

```csharp
ShipRequestAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.ShipRequestAsync(request);
}
catch (ApiException e){};
```


# Void Shipment

```csharp
VoidShipmentAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.VoidShipmentAsync(request);
}
catch (ApiException e){};
```


# Return Request

```csharp
ReturnRequestAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.ReturnRequestAsync(request);
}
catch (ApiException e){};
```


# Reprint Document

```csharp
ReprintDocumentAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.ReprintDocumentAsync(request);
}
catch (ApiException e){};
```


# Reprint Label

```csharp
ReprintLabelAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.ReprintLabelAsync(request);
}
catch (ApiException e){};
```


# End of Day Action

```csharp
EndOfDayActionAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.EndOfDayActionAsync(request);
}
catch (ApiException e){};
```


# End of Day Progress

```csharp
EndOfDayProgressAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.EndOfDayProgressAsync(request);
}
catch (ApiException e){};
```


# End of Day Document

```csharp
EndOfDayDocumentAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.EndOfDayDocumentAsync(request);
}
catch (ApiException e){};
```


# Track Request

```csharp
TrackRequestAsync(
    string request)
```

## Parameters

| Parameter | Type | Tags | Description |
|  --- | --- | --- | --- |
| `request` | `string` | Body, Required | - |

## Response Type

`Task`

## Example Usage

```csharp
string request = "Request2";

try
{
    await commonController.TrackRequestAsync(request);
}
catch (ApiException e){};
```

